#!/bin/bash

# cd to parent directory of this script
bin=$( dirname "$0" )
cd "$bin/.."

# insert tag text
insert () {
   perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

output1 () {
  markdown | cat head1 - foot | insert title "$1"
}

# prepare calendar table
calendar=$(bin/calendar.py calendar.txt)

# calendar.php
cat calendar.md |\
   insert calendar "${calendar}" |\
   output "$(cat title) (Calendar)" > ../calendar.php

# index.php
cat index.md |\
   insert calendar "${calendar}" |\
   output "$(cat title)" > ../index.php

# dirs
for dir in Exam1 Exam2 Final date/02-09
do
   cat "$dir/index.md" |\
   output1 "$(cat title)" > ../"$dir/index.php"
done

# source.php
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.php

# links.php
cat links.md |\
   output "$(cat title) (Links)" > ../links.php

# create tarball
(
	cd ..
	tar -czf source.tar.gz source
)

# update math.columbia.edu, then open link
bin/upload.sh
open http://www.math.columbia.edu/~bayer/S16/Combinatorics
